// Enforce use of a strict operating context.
'use strict';

// Define handler for this controller.
module.exports = (server) => {

  // Use app dependency container.
  const container = server.container();

  // Resolve route handlers for this plugin.
  return container.resolve(() => ({

    get: (request, reply) => {

      reply.view('index', { plugins });
    },

    update: (request, reply) => {

      const Instance = server.store().Core.Instance.Instance;
      Instance
        .findAll()
        .then((instances) => {

          const instance = instances[0];
          Instance
            .update(instance.id, request.payload)
            .then((instance) => reply({ instance }))
            .catch((error) => reply(Boom.badRequest(error)));
        });
    }

  }));

};
